## kcalc 22.04.1

=== debian/changelog ===
kcalc (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 04 Jun 2022 21:10:54 +0200

kcalc (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:31:23 +0100

kcalc (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.6.0, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.85.0
    - drop kinit-dev, no more needed
  * Update lintian overrides.
  * Rename docs to kcalc.docs to make it more explicit.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 11:43:00 +0100
