=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
                libkf5xmlgui-dev (>= 5.90.0~),
                libmpfr-dev,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.15.0~),
-Standards-Version: 4.6.0
+               qtbase5-dev (>= 5.15.2~),
+Standards-Version: 4.6.2
 Homepage: https://apps.kde.org/en/kcalc
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalc
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalc.git
@@ -30,7 +30,7 @@
 
 Package: kcalc
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: simple and scientific calculator
  KCalc is a scientific calculator.
  .
