## kcalc 23.08.2

=== debian/changelog ===
kcalc (4:23.08.2-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps with info from cmake.

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 21 Oct 2023 13:22:41 -0400
