=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
            Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.90.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
                libgmp-dev,
-               libkf5config-dev (>= 5.90.0~),
-               libkf5configwidgets-dev (>= 5.90.0~),
-               libkf5coreaddons-dev (>= 5.90.0~),
-               libkf5crash-dev (>= 5.90.0~),
-               libkf5doctools-dev (>= 5.90.0~),
-               libkf5guiaddons-dev (>= 5.90.0~),
-               libkf5i18n-dev (>= 5.90.0~),
-               libkf5notifications-dev (>= 5.90.0~),
-               libkf5xmlgui-dev (>= 5.90.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5configwidgets-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5crash-dev (>= 5.102.0~),
+               libkf5doctools-dev (>= 5.102.0~),
+               libkf5guiaddons-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5xmlgui-dev (>= 5.102.0~),
                libmpfr-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
