=== knumber/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,9 @@
 
 target_include_directories(knumber PUBLIC ${CMAKE_BINARY_DIR} ${GMP_INCLUDE_DIR})
 
-target_link_libraries(knumber PUBLIC Qt::Core PRIVATE ${GMP_LIBRARIES} ${MPFR_LIBRARIES})
+target_link_libraries(knumber PUBLIC Qt${QT_MAJOR_VERSION}::Core PRIVATE ${GMP_LIBRARIES} ${MPFR_LIBRARIES})
+if (QT_MAJOR_VERSION STREQUAL "6")
+    target_link_libraries(knumber PRIVATE Qt6::Core5Compat)
+endif()
 
 add_subdirectory( tests )
