## kcalc 24.08.1

=== debian/changelog ===
kcalc (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (24.08.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 06:24:11 +0100

kcalc (4:24.08.0-1ubuntu1) oracular; urgency=medium

  * Merge debian experimental.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 03 Sep 2024 09:16:18 -0700

kcalc (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 15:13:58 +0200

kcalc (4:24.05.2-1) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Jul 2024 19:51:26 +0200
