=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with kf5
+	dh $@
 
 execute_before_dh_lintian:
 	mkdir -p debian/.debhelper/kcalc/dbgsym-root/usr/share/lintian/overrides/
