## kcalc 25.04.3

=== debian/changelog ===
kcalc (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:39:55 +0100

kcalc (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:41:30 +0100

kcalc (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:03:55 +0100

kcalc (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Build depend on libmpc-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:45:44 +0100
